<?php
// Sécurité
define('OK',1);
// Configuration
include('config.php');
// Fonctions
include('fonctions.php');

//////////////////////////////////////////////////////
// Validation de la requête : répertoire ou matière //
//////////////////////////////////////////////////////

// Ordre d'affichage des documents (à supprimer avant d'analyser la requête)
$ordre = '';
if ( isset($_REQUEST['ordre']) )  {
  switch ($_REQUEST['ordre'])  {
    case 'alpha-inv':  $ordre = 'ORDER BY nom_nat DESC'; break;
    case 'chrono':     $ordre = 'ORDER BY docs.upload ASC'; break;
    case 'chrono-inv': $ordre = 'ORDER BY docs.upload DESC'; break;
  }
  unset($_REQUEST['ordre']);
}

// Récupération des données du répertoire demandé
$mysqli = connectsql();
// Requête non nulle : soit un numéro de répertoire, soit une clé de matière
// Les répertoires "non visibles" (protection 5), sauf pour les professeurs
// associés à la matière, ne sont pas accessibles.
$restriction = ( $autorisation == 4 ) ? "AND ( r.protection < 5 OR FIND_IN_SET(r.matiere,'${_SESSION['matieres']}') )" : 'AND r.protection < 5';
if ( isset($_REQUEST['rep']) && ctype_digit($rid = $_REQUEST['rep']) )  {
  $resultat = $mysqli->query("SELECT r.nom, r.parent, r.parents, r.nbrep_v+r.nbdoc_v AS nbv, r.nbrep+r.nbdoc AS nb, r.menu, r.protection, IFNULL(m.id,0) AS mid, m.cle, m.nom AS mat
                              FROM reps AS r LEFT JOIN matieres AS m ON r.matiere = m.id
                              WHERE r.id = $rid $restriction");
  if ( $resultat->num_rows )  {
    $rep = $resultat->fetch_assoc();
    $resultat->free();
  }
}
elseif ( !empty($_REQUEST) )  {
  $resultat = $mysqli->query("SELECT r.id, r.nom, r.parent, r.parents, r.nbrep_v+r.nbdoc_v AS nbv, r.nbrep+r.nbdoc AS nb, r.menu, r.protection, IFNULL(m.id,0) AS mid, m.cle, m.nom AS mat
                              FROM reps AS r LEFT JOIN matieres AS m ON r.matiere = m.id
                              WHERE r.parent = 0 $restriction");
  if ( $resultat->num_rows )  {
    while ( $r = $resultat->fetch_assoc() )
      if ( isset($_REQUEST[$r['cle']]) )  {
        $rep = $r;
        $rid = $r['id'];
        break;
      }
    $resultat->free();
  }
}
// Pas d'argument : répertoire "Général" (peut être non visible)
else  {
  $resultat = $mysqli->query("SELECT r.id, r.nom, r.parent, r.parents, r.nbrep_v+r.nbdoc_v AS nbv, r.nbrep+r.nbdoc AS nb, r.menu, r.protection, IFNULL(m.id,0) AS mid, m.cle, m.nom AS mat
                              FROM reps AS r LEFT JOIN matieres AS m ON r.matiere = m.id
                              WHERE r.id = 1 $restriction");
  if ( $resultat->num_rows )  {
    $r = $resultat->fetch_assoc();
    $rep = $r;
    $rid = $r['id'];
    $resultat->free();
  }
}
// Si aucun répertoire trouvé
if ( !isset($rep) )  {
  debut($mysqli,'Documents à télécharger','Mauvais paramètre d\'accès à cette page.',$autorisation,' ');
  $mysqli->close();
  fin();
}

/////////////////////////////
// Vérification de l'accès //
/////////////////////////////
// Interdiction de voir les répertoires de protection élevée ou non associés à
// ses propres matières si on est invité/élève/colleur
// Toutes les matières sont visibles pour les professeurs (édition: cf plus bas)
if ( $rep['protection'] && ( $autorisation > 0 ) && ( $autorisation < 4 )
  && ( ( $rep['protection'] > $autorisation ) || ( !in_array($rep['mid'],explode(',',$_SESSION['matieres'])) ) ) )  {
  debut($mysqli,($rep['mat']) ? "Documents à télécharger - ${rep['mat']}" : 'Documents à télécharger','Vous n\'avez pas accès à cette page.',$autorisation,($rep['mat']) ? "docs?${rep['cle']}" : 'docs');
  $mysqli->close();
  fin();
}
// Connexion nécessaire si protection
if ( $rep['protection'] && !$autorisation )  {
  $titre = ($rep['mat']) ? "Documents à télécharger - ${rep['mat']}" : 'Documents à télécharger';
  $actuel = ($rep['mat']) ? "docs?${rep['cle']}" : 'docs';
  include('login.php');
}
// Mode édition pour les professeurs sur leurs propres matières uniquement
$edition = ( ( $autorisation == 4 ) && in_array($rep['mid'],explode(',',$_SESSION['matieres'])) );

////////////
/// HTML ///
////////////
debut($mysqli,($rep['mat']) ? "Documents à télécharger - ${rep['mat']}" : 'Documents à télécharger',$message,$autorisation,($rep['mat']) ? "docs?${rep['cle']}" : 'docs');

// Répertoires parents
$resultat = $mysqli->query("SELECT GROUP_CONCAT(CONCAT('<a href=\"docs?rep=',id,'\">',nom,'</a>') SEPARATOR '&nbsp;/&nbsp;')
                            FROM reps WHERE FIND_IN_SET(id,'${rep['parents']},$rid')");
$r = $resultat->fetch_row();
$resultat->free();

// Liste des icônes pour affichage
$icones = array(
  'pdf' => '-pdf',
  'doc' => '-doc', 'odt' => '-doc', 'docx' => '-doc',
  'xls' => '-xls', 'ods' => '-xls', 'xlsx' => '-xls',
  'ppt' => '-ppt', 'odp' => '-ppt', 'pptx' => '-ppt',
  'jpg' => '-jpg', 'jpeg' => '-jpg', 'png' => '-jpg', 'gif' => '-jpg', 'svg' => '-jpg', 'tif' => '-jpg', 'tiff' => '-jpg', 'bmp' => '-jpg', 'ps' => '-jpg', 'eps' => '-jpg',
  'mp3' => '-mp3', 'ogg' => '-mp3', 'oga' => '-mp3', 'wma' => '-mp3', 'wav' => '-mp3', 'ra' => '-mp3', 'rm' => '-mp3',
  'mp4' => '-mp4', 'avi' => '-mp4', 'mpeg' => '-mp4', 'mpg' => '-mp4', 'wmv' => '-mp4', 'mp4' => '-mp4', 'ogv' => '-mp4', 'qt' => '-mp4', 'mov' => '-mp4', 'mkv' => '-mp4', 'flv' => '-mp4',
  'zip' => '-zip', 'rar' => '-zip', '7z' => '-zip',
  'py' => '-pyt', 'exe' => '-pyt', 'sh' => '-pyt', 'ml' => '-pyt', 'mw' => '-pyt',
  'txt' => '-txt', 'rtf' => '-txt', '' => '-txt'
);

// Affichage public sans édition
if ( !$edition )  {
  echo <<< FIN

  <p id="parentsdoc" class="topbarre">
    <a class="icon-chronodesc ordre" title="Classer les documents par ordre alphabétique inversé"></a>
    <a class="icon-chronoasc ordre" title="Classer les documents par ordre chronologique"></a>
    <a class="icon-alphadesc ordre" title="Classer les documents par ordre alphabétique inversé"></a>
    <a class="icon-alphaasc ordre" title="Classer les documents par ordre alphabétique"></a>
    <span class="icon-rep-open"></span><span class="nom">${r['0']}</span>
  </p>

FIN;

  // Affichage du répertoire et de son contenu
  if ( $rep['nbv'] )  {

    // Sous-répertoires
    $resultat = $mysqli->query("SELECT id, nom, nbrep_v AS nbrep, nbdoc_v AS nbdoc, IF(protection>$autorisation,1,0) AS protection FROM reps WHERE parent = $rid AND protection < 5");
    if ( $resultat->num_rows )  {
      while ( $r = $resultat->fetch_assoc() )
        // Affichage du contenu : pas de lien si connecté et protection trop élevée
        if ( $autorisation && $r['protection'] )
          echo "\n  <p class=\"rep\"><span class=\"icon-rep\"></span><span class=\"icon-lock\"></span><span class=\"nom\">${r['nom']}</span></p>\n";
        // Lien sinon, avec cadenas si non connecté mais protection
        else  {
          $protection = ( $r['protection'] ) ? '<span class="icon-lock"></span>' : '';
          $contenu = ( $r['nbrep']+$r['nbdoc'] ) ? str_replace(array('0 répertoire,',', 0 document'),'',"(${r['nbrep']} répertoire".( ( $r['nbrep'] > 1 ) ? 's' : '' ).", ${r['nbdoc']} document".( ( $r['nbdoc'] > 1 ) ? 's' : '' ).'&nbsp;)')
                                                 : '(vide)';
          echo "\n  <p class=\"rep\"><span class=\"repcontenu\">$contenu</span> <a href=\"?rep=${r['id']}\"><span class=\"icon-rep\"></span>$protection<span class=\"nom\">${r['nom']}</span></a></p>\n";
        }
      $resultat->free();
    }

    // Documents
    $resultat = $mysqli->query("SELECT id, nom, taille, DATE_FORMAT(upload,'%d/%m/%Y') AS upload, LOWER(ext) AS ext, IF(protection>$autorisation,1,0) AS protection
                                FROM docs WHERE parent = $rid AND protection < 5 $ordre");
    if ( $resultat->num_rows )  {
      while ( $r = $resultat->fetch_assoc() )  {
        $icone = isset($icones[$ext = substr($r['ext'],1)]) ? $icones[$ext] : '';
        if ( $autorisation && $r['protection'] )
          echo "\n  <p class=\"doc\"><span class=\"docdonnees\">($ext, ${r['upload']}, ${r['taille']})</span> <span class=\"icon-doc$icone\"></span><span class=\"icon-lock\"></span><span class=\"nom\">${r['nom']}</span></p>\n";
        else  {
          $protection = ( $r['protection'] ) ? '<span class="icon-lock"></span>' : '';
          echo "\n  <p class=\"doc\"><span class=\"docdonnees\">($ext, ${r['upload']}, ${r['taille']})</span> <a href=\"download?id=${r['id']}\"><span class=\"icon-doc$icone\"></span>$protection<span class=\"nom\">${r['nom']}</span></a></p>\n";
        }
      }
      $resultat->free();
    }
  }
  else
    echo "\n  <h2>Ce répertoire est vide.</h2>\n";
}
// Affichage professeur éditeur
else  {
  $protection = ( $rep['protection'] ) ? "<span class=\"icon-lock${rep['protection']}\"></span>" : '';
  echo <<< FIN

  <a class="icon-aide general" data-id="page" title="Aide pour les modifications des répertoires et documents"></a>

  <p id="parentsdoc" class="topbarre" data-id="reps|$rid" data-donnees="${rep['parent']}|${rep['menu']}|${rep['protection']}">
    <a class="icon-edite" title="Modifier ce répertoire"></a>
    <a class="icon-ajoutedoc" title="Ajouter un document dans ce répertoire"></a>
    <a class="icon-ajouterep" title="Ajouter un sous-répertoire"></a>
    <a class="icon-chronodesc ordre" title="Classer les documents par ordre chronologique inversé"></a>
    <a class="icon-chronoasc ordre" title="Classer les documents par ordre chronologique"></a>
    <a class="icon-alphadesc ordre" title="Classer les documents par ordre alphabétique inversé"></a>
    <a class="icon-alphaasc ordre" title="Classer les documents par ordre alphabétique"></a>
    <span class="icon-rep-open"></span>$protection<span class="nom">${r[0]}</span>
  </p>

FIN;

  // Affichage du répertoire et de son contenu
  if ( $rep['nb'] )  {

    // Sous-répertoires
    $resultat = $mysqli->query("SELECT id, nom, nbrep, nbdoc, parent, menu, protection FROM reps WHERE parent = $rid");
    if ( $resultat->num_rows )  {
      while ( $r = $resultat->fetch_assoc() )  {
        $protection = ( $r['protection'] ) ? "<span class=\"icon-lock${r['protection']}\"></span>" : '';
        $contenu = ( $r['nbrep']+$r['nbdoc'] ) ? str_replace(array('0 répertoire,',', 0 document'),'',"(${r['nbrep']} répertoire".( ( $r['nbrep'] > 1 ) ? 's' : '' ).", ${r['nbdoc']} document".( ( $r['nbdoc'] > 1 ) ? 's' : '' ).'&nbsp;)')
                                               : '(vide)';
        // data-donnees : parent|menu|protection
        echo <<<FIN

  <p class="rep" data-id="reps|${r['id']}" data-donnees="${r['parent']}|${r['menu']}|${r['protection']}">
    <a class="icon-edite" title="Modifier ce répertoire"></a>
    <a class="icon-ajoutedoc" title="Ajouter un document dans ce répertoire"></a>
    <a class="icon-supprime" title="Supprimer ce répertoire et son contenu"></a>
    <span class="repcontenu">$contenu</span> 
    <a href="?rep=${r['id']}"><span class="icon-rep"></span></a>$protection<span class="nom editable" data-id="reps|nom|${r['id']}">${r['nom']}</span>
  </p>

FIN;
      }
      $resultat->free();
    }

    // Documents
    $resultat = $mysqli->query("SELECT id, nom, taille, DATE_FORMAT(upload,'%d/%m/%Y') AS upload, LOWER(ext) AS ext, protection
                                FROM docs WHERE parent = $rid $ordre");
    if ( $resultat->num_rows )  {
      while ( $r = $resultat->fetch_assoc() )  {
        $icone = isset($icones[$ext = substr($r['ext'],1)]) ? $icones[$ext] : '';
        $protection = ( $r['protection'] ) ? "<span class=\"icon-lock${r['protection']}\"></span>" : '';
        echo <<<FIN

  <p class="doc" data-id="docs|${r['id']}" data-protection="${r['protection']}">
    <a class="icon-edite" title="Modifier ce document"></a>
    <a class="icon-download" href="download?id=${r['id']}&amp;dl" title="Télécharger ce document"></a>
    <a class="icon-supprime" title="Supprimer ce document"></a>
    <span class="docdonnees">($ext, ${r['upload']}, ${r['taille']})</span>
    <span class="icon-doc$icone"></span>$protection<span class="nom editable" data-id="docs|nom|${r['id']}">${r['nom']}</span>
  </p>

FIN;
      }
      $resultat->free();
    }
  }
  else
    echo "\n  <h2>Ce répertoire est vide.</h2>\n";

  // Select sur les répertoires (pour les déplacements)
  function liste($rid,$n)  {
    $resultat = $GLOBALS['mysqli']->query("SELECT id, nom, parents FROM reps WHERE parent = $rid");
    while ( $r = $resultat->fetch_assoc() )  {
      $GLOBALS['select_reps'] .= "\n        <option value=\"${r['id']}\" data-parents=\"${r['parents']},${r['id']},\">".str_repeat('&rarr;',$n)."${r['nom']}</option>";
      liste($r['id'],$n+1);
    }
    $resultat->free();
  }
  $select_reps = '';
  $resultat = $mysqli->query("SELECT r.id, r.nom, parents FROM reps AS r LEFT JOIN matieres AS m ON m.id = r.matiere WHERE r.parent = 0 AND FIND_IN_SET(r.matiere,'${_SESSION['matieres']}') ORDER BY m.ordre");
  while ( $r = $resultat->fetch_assoc() )  {
    $select_reps .= "\n        <option value=\"${r['id']}\" data-parents=\"${r['parents']},${r['id']},\">${r['nom']}</option>";
    liste($r['id'],1);
  }
  $resultat->free();
                              
  // Taille maximale de fichier (pour l'aide)
  $taille = min(ini_get('upload_max_filesize'),ini_get('post_max_size'));
  if ( stristr($taille,'m') )
    $taille = substr($taille,0,-1)*1048576;
  elseif ( stristr($taille,'k') )
    $taille = substr($taille,0,-1)*1024;
  $taille = ( $taille < 1048576 ) ? intval($taille/1024).'&nbsp;ko' : intval($taille/1048576).'&nbsp;Mo';

  // Aide et formulaire d'ajout
?>

  <form id="form-repertoire">
    <h3 class="edition">Modifier le répertoire <em></em></h3>
    <p class="ligne"><label for="nom">Nom&nbsp;: </label><input type="text" id="nom" name="nom" value="" size="50"></p>
    <p class="ligne"><label for="parent">Déplacer&nbsp;: </label>
      <select id="parent" name="parent">
        <option value="0">Ne pas déplacer</option><?php echo $select_reps; ?>
      </select>
    </p>
    <p class="ligne"><label for="menu">Affichage du répertoire dans le menu&nbsp;: </label><input type="checkbox" id="menu" name="menu" value="1"></p>
    <p class="ligne"><label for="protection">Accès&nbsp;: </label>
      <select id="protection" name="protection">
        <option value="0">Visible de tous</option>
        <option value="1">Visible pour les connectés</option>
        <option value="2">Visible pour les élèves, colleurs, profs</option>
        <option value="3">Visible pour les colleurs et les profs</option>
        <option value="4">Visible pour les profs uniquement</option>
        <option value="5">Non visible</option>
      </select>
    </p>
    <p class="ligne"><label for="propagation">Propager le choix ci-dessus à chaque document/sous-répertoire&nbsp;: </label><input type="checkbox" id="propagation" name="propagation" value="1"></p>
    <input type="hidden" name="id" value="">
    <input type="hidden" name="table" value="reps">
  </form>

  <form id="form-ajouterep">
    <h3 class="edition">Ajouter un répertoire</h3>
    <p class="ligne"><label for="nom">Nom&nbsp;: </label><input type="text" id="nom" name="nom" value="" size="50"></p>
    <p class="ligne"><label for="menu">Affichage du répertoire dans le menu&nbsp;: </label><input type="checkbox" id="menu" name="menu" value="1"></p>
    <p class="ligne"><label for="protection">Accès&nbsp;: </label>
      <select id="protection" name="protection">
        <option value="0">Visible de tous</option>
        <option value="1">Visible pour les connectés</option>
        <option value="2">Visible pour les élèves, colleurs, profs</option>
        <option value="3">Visible pour les colleurs et les profs</option>
        <option value="4">Visible pour les profs uniquement</option>
        <option value="5">Non visible</option>
      </select>
    </p>
    <input type="hidden" name="parent" value="<?php echo $rid; ?>">
    <input type="hidden" name="table" value="reps">
  </form>

  <form id="form-document">
    <h3 class="edition">Modifier le document <em></em></h3>
    <p class="ligne"><label for="nom">Nom&nbsp;: </label><input type="text" id="nom" name="nom" value="" size="50"></p>
    <p class="ligne"><label for="fichier">Mettre à jour&nbsp;: </label><input type="file" id="fichier" name="fichier"></p>
    <p class="ligne"><label for="parent">Déplacer&nbsp;: </label>
      <select id="parent" name="parent">
        <option value="0">Ne pas déplacer</option><?php echo str_replace("\"$rid\"","\"$rid\" disabled",$select_reps); ?>
      </select>
    </p>
    <p class="ligne"><label for="protection">Accès&nbsp;: </label>
      <select id="protection" name="protection">
        <option value="0">Visible de tous</option>
        <option value="1">Visible pour les connectés</option>
        <option value="2">Visible pour les élèves, colleurs, profs</option>
        <option value="3">Visible pour les colleurs et les profs</option>
        <option value="4">Visible pour les profs uniquement</option>
        <option value="5">Non visible</option>
      </select>
    </p>
    <input type="hidden" name="id" value="">
    <input type="hidden" name="table" value="docs">
  </form>

  <form id="form-ajoutedoc">
    <h3 class="edition">Ajouter un document</h3>
    <p>Ce document sera envoyé dans le répertoire <em></em>.</p>
    <p class="ligne"><label for="fichier">Fichier&nbsp;: </label><input type="file" id="fichier" name="fichier"></p>
    <p class="ligne"><label for="nom">Nom à afficher&nbsp;: </label><input type="text" id="nom" name="nom" value="" size="50"></p>
    <p class="ligne"><label for="protection">Accès&nbsp;: </label>
      <select id="protection" name="protection">
        <option value="0">Visible de tous</option>
        <option value="1">Visible pour les connectés</option>
        <option value="2">Visible pour les élèves, colleurs, profs</option>
        <option value="3">Visible pour les colleurs et les profs</option>
        <option value="4">Visible pour les profs uniquement</option>
        <option value="5">Non visible</option>
      </select>
    </p>
    <input type="hidden" name="parent" value="">
    <input type="hidden" name="table" value="docs">
  </form>

  <div id="aide-page">
    <h3>Aide et explications</h3>
    <p>Il est possible ici de modifier le contenu des répertoires et les propriétés des répertoires et des documents présents. Vous n'avez la possibilité de modifier que les documents &laquo;&nbsp;toutes matières&nbsp;&raquo; et les documents des matières qui vous sont associées. Pour modifier les matières qui vous sont associées, il faut aller sur la page de <a href="matieres">gestion des matières</a>.</p>
    <p>Les noms des répertoires et documents contenus dans le répertoire affiché sur cette page sont modifiables directement, en cliquant sur le bouton <span class="icon-edite"></span> situé dans la case encadrée de pointillés.</p>
    <p>Comme sur la partie visible par les visiteurs non connectés en tant que professeurs, les répertoires sont indiqués par l'icône <span class="icon-rep"></span> (cliquer dessus affiche le répertoire correspondant), les documents par l'icône correspondant à leur type (<span class="icon-doc-pdf"></span> pour les <code>pdf</code>, <span class="icon-doc-doc"></span> pour les textes <code>doc</code> ou <code>odt</code>...). Le contenu des répertoires et les principales propriétés des documents sont indiqués à droite.</p>
    <p>La taille des fichiers envoyés est limitée à <?php echo $taille; ?>.</p>
    <h4>Actions possibles</h4>
    <p>Les différentes actions possibles sont&nbsp;:</p>
    <ul>
      <li><span class="icon-ajouterep"></span>&nbsp;: ajouter un répertoire à l'intérieur du répertoire affiché sur cette page. Une aide sera disponible sur le formulaire qui s'affichera.</li>
      <li><span class="icon-ajoutedoc"></span>&nbsp;: ajouter un document à l'intérieur du répertoire choisi. Une aide sera disponible sur le formulaire qui s'affichera.</li>
      <li><span class="icon-edite"></span>&nbsp;: modifier les propriétés du répertoire ou du document choisi. Il est notamment possible de modifier individuellement l'<em>accès</em> à chaque répertoire/document (explications ci-dessous). Une aide sera disponible sur le formulaire qui s'affichera.</li>
      <li><span class="icon-supprime"></span>&nbsp;: supprimer le répertoire ou document choisi (une confirmation sera demandée). Supprimer un répertoire supprime automatiquement tout son contenu (sous-répertoires et documents).</li>
      <li><span class="icon-download"></span>&nbsp;: télécharger un document pour le voir.</li>
    </ul>
    <p>Les liens vers les répertoires et les documents sont garantis&nbsp;: aucune modification (changement de nom, mise à jour de document, déplacement...) réalisée sur les répertoires ou les documents ne peut modifier ces liens. Si vous souhaitez mettre à jour un document, surtout ne le supprimez pas pour le recréer&nbsp;: cela changerait le lien, les liens existants ne seraient plus valables. Modifiez plutôt le document.</p>
    <h4>Accès</h4>
    <p>L'<em>accès</em> à chaque répertoire et chaque document peut être choisi parmi six possibilités. Le choix réalisé pour les répertoires/documents existants est directement visible sur cette page (uniquement lorsque vous êtes connecté en tant que professeur) avec un cadenas portant un numéro. Les choix possibles sont&nbsp;:</p>
    <ul>
      <li><em>Visible de tous</em> (pas de marquage)&nbsp;: accessible de tout visiteur, sans identification.</li>
      <li><em>Visible pour les connectés</em> (<span class="icon-lock1"></span>)&nbsp;: accessible de tout utilisateur mais uniquement après identification (utilisateurs de type invité, élève, colleur ou professeur). Pour les répertoires/documents associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les élèves, colleurs, professeurs</em> (<span class="icon-lock2"></span>)&nbsp;: accessible uniquement par les utilisateurs de type élève, colleur ou professeur. Pour les répertoires/documents associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les colleurs, professeurs</em> (<span class="icon-lock3"></span>)&nbsp;: accessible uniquement par les utilisateurs de type colleur ou professeur. Pour les répertoires/documents associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les professeurs</em> (<span class="icon-lock4"></span>)&nbsp;: accessible uniquement par les utilisateurs de type professeur. Pour les répertoires/documents associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Non visible</em> (<span class="icon-lock5"></span>)&nbsp;: entièrement invisible pour les utilisateurs autres que les professeurs (éventuellement associés à la matière dont le répertoire peut dépendre). La différence avec le choix précédent est que le répertoire/document n'apparaît plus du tout sur le site pour ceux qui ne le voient pas.</li>
    </ul>
    <p>Les répertoires/documents protégés (sauf <em>Non visible</em>) apparaissent même s'ils ne sont pas accessibles, marqués d'un petit cadenas. Le contenu des répertoires tient compte de cela&nbsp;: les répertoires/documents non visibles ne sont pas décomptés.</p>
    <h4>Liens dans le menu</h4>
    <p>Le lien dans le menu vers le répertoire racine de chaque matière est généré automatiquement. Il ne s'affiche que si ce répertoire est non vide&nbsp;:</p>
    <ul>
      <li>pour les utilisateurs non connectés, si des documents éventuellement protégés sont présents (les répertoires et documents protégés apparaissent avec un petit cadenas).</li>
      <li>pour les utilisateurs connectés, si des documents sont présents et si le répertoire racine est accessible (<em>accès</em> pas trop élevé).</li>
    </ul>
    <p>Il est possible de rajouter des liens dans le menu vers des sous-répertoires. C'est une des propriétés que vous pouvez modifier pour chaque répertoire en cliquant sur le bouton <span class="icon-edite"></span> correspondant.</p>
  </div>

  <div id="aide-repertoire">
    <h3>Aide et explications</h3>
    <p>Ce formulaire permet de modifier les propriétés du répertoire choisi. Il sera validé par un clic sur <span class="icon-ok"></span>, et abandonné (donc supprimé) par un clic sur <span class="icon-ferme"></span>.</p>
    <p>Les répertoires racines des matières sont très peu modifiables&nbsp;: seul l'<em>accès</em> peut être modifié. Pour les autres répertoires, il est possible de les renommer, de les déplacer à l'intérieur d'un autre répertoire ou d'afficher un lien supplémentaire dans le menu.</p>
    <p>Le <em>nom</em> du répertoire peut comporter des espaces, des accents... Vous pouvez donc l'écrire en français&nbsp;! Ce nom est aussi modifiable directement en cliquant sur le bouton <span class="icon-edite"></span> dans la case entourée de pointillés.</p>
    <p>Vous pouvez <em>déplacer</em> le répertoire dans un autre répertoire, qui peut éventuellement appartenir à une autre matière si elle vous est associée. La liste des répertoires où le déplacement est possible est dans le menu déroulant. L'ensemble du contenu du répertoire déplacé est bien sûr automatiquement déplacé.</p>
    <p>La case à cocher <em>Affichage du répertoire dans le menu</em> permet d'afficher un lien direct dans le menu vers la page correspondant au répertoire. Ce lien sera situé en-dessous du lien <em>Documents à télécharger</em> qui permet d'arriver sur cette page. Sa visibilité dépend du choix de l'<em>accès</em> explicité ci-dessous.</p>
    <p>L'<em>accès</em> à ce répertoire peut être choisi parmi six possibilités, visibles directement lorsque vous êtes connecté en tant que professeur&nbsp;:</p>
    <ul>
      <li><em>Visible de tous</em> (pas de marquage)&nbsp;: accessible de tout visiteur, sans identification.</li>
      <li><em>Visible pour les connectés</em> (<span class="icon-lock1"></span>)&nbsp;: accessible de tout utilisateur mais uniquement après identification (utilisateurs de type invité, élève, colleur ou professeur). Pour les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les élèves, colleurs, professeurs</em> (<span class="icon-lock2"></span>)&nbsp;: accessible uniquement par les utilisateurs de type élève, colleur ou professeur. Pour les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les colleurs, professeurs</em> (<span class="icon-lock3"></span>)&nbsp;: accessible uniquement par les utilisateurs de type colleur ou professeur. Pour les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les professeurs</em> (<span class="icon-lock4"></span>)&nbsp;: accessible uniquement par les utilisateurs de type professeur. Pour les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Non visible</em> (<span class="icon-lock5"></span>)&nbsp;: entièrement invisible pour les utilisateurs autres que les professeurs (éventuellement associés à la matière dont le répertoire peut dépendre). La différence avec le choix précédent est que le répertoire n'apparaît plus du tout sur le site pour ceux qui ne le voient pas.</li>
    </ul>
    <p>Hormis le dernier choix, le répertoire apparaît pour tout visiteur (identifié ou non), éventuellement avec un petit cadenas gris indiquant qu'il est protégé. Avec le choix <em>Non visible</em>, le répertoire n'est plus du tout visible sans être connecté en tant que professeur.</p>
    <p>La case à cocher <em>Propager le choix ci-dessus à chaque document/sous-répertoire</em> permet de faire suivre le choix précédent à l'ensemble du contenu du répertoire. Si elle est décochée, aucune modification supplémentaire n'a lieu. Si elle est cochée, une action sera effectuée même si le choix d'<em>accès</em> n'a pas été modifié.</p>
    <p>Les comptes utilisateurs sont à définir ou modifier sur la page de <a href="utilisateurs">gestion des utilisateurs</a>. Les associations avec les matières sont modifiables sur la page de <a href="matieres">gestion des matières</a>.</p>
  </div>

  <div id="aide-ajouterep">
    <h3>Aide et explications</h3>
    <p>Ce formulaire permet de créer un nouveau répertoire au sein du répertoire dont le contenu est affiché sur cette page. Il sera validé par un clic sur <span class="icon-ok"></span>, et abandonné (donc supprimé) par un clic sur <span class="icon-ferme"></span>.</p>
    <p>Le <em>nom</em> du répertoire peut comporter des espaces, des accents... Vous pouvez donc l'écrire en français&nbsp;!</p>
    <p>La case à cocher <em>Affichage du répertoire dans le menu</em> permet d'afficher un lien direct dans le menu vers la page correspondant au répertoire. Ce lien sera situé en-dessous du lien <em>Documents à télécharger</em> qui permet d'arriver sur cette page. Sa visibilité dépend du choix de l'<em>accès</em> explicité ci-dessous.</p>
    <p>L'<em>accès</em> à ce nouveau répertoire peut être choisi parmi six possibilités&nbsp;:</p>
    <ul>
      <li><em>Visible de tous</em>&nbsp;: accessible de tout visiteur, sans identification.</li>
      <li><em>Visible pour les connectés</em>&nbsp;: accessible de tout utilisateur mais uniquement après identification (utilisateurs de type invité, élève, colleur ou professeur). Pour les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les élèves, colleurs, professeurs</em>&nbsp;: accessible uniquement par les utilisateurs de type élève, colleur ou professeur. Pour les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les colleurs, professeurs</em>&nbsp;: accessible uniquement par les utilisateurs de type colleur ou professeur. Pour les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les professeurs</em>&nbsp;: accessible uniquement par les utilisateurs de type professeur. Pour les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Non visible</em>&nbsp;: entièrement invisible pour les utilisateurs autres que les professeurs (éventuellement associés à la matière dont le répertoire peut dépendre). La différence avec le choix précédent est que le répertoire n'apparaît plus du tout sur le site pour ceux qui ne le voient pas.</li>
    </ul>
    <p>Hormis le dernier choix, le répertoire apparaîtra pour tout visiteur (identifié ou non), éventuellement avec un petit cadenas gris indiquant qu'il est protégé. Avec le choix <em>Non visible</em>, le répertoire n'est plus du tout visible sans être connecté en tant que professeur.</p>
    <p>Les comptes utilisateurs sont à définir ou modifier sur la page de <a href="utilisateurs">gestion des utilisateurs</a>. Les associations avec les matières sont modifiables sur la page de <a href="matieres">gestion des matières</a>.</p>
  </div>
  
  <div id="aide-document">
    <h3>Aide et explications</h3>
    <p>Ce formulaire permet de modifier les propriétés du document choisi. Il sera validé par un clic sur <span class="icon-ok"></span>, et abandonné (donc supprimé) par un clic sur <span class="icon-ferme"></span>.</p>
    <p>Le <em>nom</em> du document peut comporter des espaces, des accents... Vous pouvez donc l'écrire en français&nbsp;! Ce nom est aussi modifiable directement en cliquant sur le bouton <span class="icon-edite"></span> dans la case entourée de pointillés. Il ne doit pas comporter l'extension, qui est ajoutée lorsque l'on le télécharge.</p>
    <p>Vous pouvez <em>mettre à jour</em> le document en envoyant un nouveau fichier. C'est bien mieux que de supprimer/recréer le document, car les liens existants restent valables. Une fois le formulaire validé, le document apparaîtra à nouveau tout en haut des informations récentes, comme s'il venait d'être envoyé. La date et la taille du document seront modifiées.</p>
    <p>La taille maximale du fichier envoyé est <?php echo $taille; ?>. Le fichier envoyé doit être de même extension que le fichier originel.</p>
    <p>Vous pouvez <em>déplacer</em> le document dans un autre répertoire, qui peut éventuellement appartenir à une autre matière si elle vous est associée. La liste des répertoires où le déplacement est possible est dans le menu déroulant.</p>
    <p>L'<em>accès</em> à ce document peut être choisi parmi six possibilités, visibles directement lorsque vous êtes connecté en tant que professeur&nbsp;:</p>
    <ul>
      <li><em>Visible de tous</em> (pas de marquage)&nbsp;: accessible de tout visiteur, sans identification.</li>
      <li><em>Visible pour les connectés</em> (<span class="icon-lock1"></span>)&nbsp;: accessible de tout utilisateur mais uniquement après identification (utilisateurs de type invité, élève, colleur ou professeur). Dans les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les élèves, colleurs, professeurs</em> (<span class="icon-lock2"></span>)&nbsp;: accessible uniquement par les utilisateurs de type élève, colleur ou professeur. Dans les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les colleurs, professeurs</em> (<span class="icon-lock3"></span>)&nbsp;: accessible uniquement par les utilisateurs de type colleur ou professeur. Dans les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les professeurs</em> (<span class="icon-lock4"></span>)&nbsp;: accessible uniquement par les utilisateurs de type professeur. Dans les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Non visible</em> (<span class="icon-lock5"></span>)&nbsp;: entièrement invisible pour les utilisateurs autres que les professeurs (éventuellement associés à la bonne matière). La différence avec le choix précédent est que le document n'apparaît plus du tout sur le site pour ceux qui ne le voient pas, notamment dans le décompte du répertoire le contenant.</li>
    </ul>
    <p>Hormis le dernier choix, le document apparaît pour tout visiteur (identifié ou non), éventuellement avec un petit cadenas gris indiquant qu'il est protégé. Avec le choix <em>Non visible</em>, le document n'est plus du tout visible sans être connecté en tant que professeur.</p>
    <p>Les comptes utilisateurs sont à définir ou modifier sur la page de <a href="utilisateurs">gestion des utilisateurs</a>. Les associations avec les matières sont modifiables sur la page de <a href="matieres">gestion des matières</a>.</p>
  </div>

  <div id="aide-ajoutedoc">
    <h3>Aide et explications</h3>
    <p>Ce formulaire permet d'ajouter un document dans le répertoire choisi. Il sera validé par un clic sur <span class="icon-ok"></span>, et abandonné (donc supprimé) par un clic sur <span class="icon-ferme"></span>.</p>
    <p>La taille maximale du <em>fichier</em> envoyé est <?php echo $taille; ?>.</p>
    <p>Le <em>nom à afficher</em> du document peut comporter des espaces, des accents... Vous pouvez donc l'écrire en français&nbsp;!</p>
    <p>L'<em>accès</em> à ce document peut être choisi parmi six possibilités, visibles directement lorsque vous êtes connecté en tant que professeur&nbsp;:</p>
    <ul>
      <li><em>Visible de tous</em> (pas de marquage)&nbsp;: accessible de tout visiteur, sans identification.</li>
      <li><em>Visible pour les connectés</em> (<span class="icon-lock1"></span>)&nbsp;: accessible de tout utilisateur mais uniquement après identification (utilisateurs de type invité, élève, colleur ou professeur). Dans les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les élèves, colleurs, professeurs</em> (<span class="icon-lock2"></span>)&nbsp;: accessible uniquement par les utilisateurs de type élève, colleur ou professeur. Dans les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les colleurs, professeurs</em> (<span class="icon-lock3"></span>)&nbsp;: accessible uniquement par les utilisateurs de type colleur ou professeur. Dans les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Visible pour les professeurs</em> (<span class="icon-lock4"></span>)&nbsp;: accessible uniquement par les utilisateurs de type professeur. Dans les répertoires associés à une matière, seuls les utilisateurs associés à cette matière ou à toutes les matières peuvent y accéder.</li>
      <li><em>Non visible</em> (<span class="icon-lock5"></span>)&nbsp;: entièrement invisible pour les utilisateurs autres que les professeurs (éventuellement associés à la bonne matière). La différence avec le choix précédent est que le document n'apparaît plus du tout sur le site pour ceux qui ne le voient pas, notamment dans le décompte du répertoire le contenant.</li>
    </ul>
    <p>Hormis le dernier choix, le document apparaît pour tout visiteur (identifié ou non), éventuellement avec un petit cadenas gris indiquant qu'il est protégé. Avec le choix <em>Non visible</em>, le document n'est plus du tout visible sans être connecté en tant que professeur.</p>
    <p>Les comptes utilisateurs sont à définir ou modifier sur la page de <a href="utilisateurs">gestion des utilisateurs</a>. Les associations avec les matières sont modifiables sur la page de <a href="matieres">gestion des matières</a>.</p>
  </div>
  
  <p id="log"></p>
<?php
}
?>

  <script type="text/javascript">
$( function() {
  $('a.ordre').on("click",function() {
    var h = window.location.href;
    var i = h.indexOf('ordre=');
    if ( $(this).hasClass('icon-alphaasc') )  {
      if ( i > 0 )
        window.location = ( h.indexOf('&',i) > 0 ) ? h.substr(0,i)+h.substr(h.indexOf('&',i)+1) : h.substr(0,i-1);
      return; // Rien à faire si pas d'ordre déjà réglé
    }
    if ( $(this).hasClass('icon-alphadesc') )   var o = 'alpha-inv';
    if ( $(this).hasClass('icon-chronoasc') )   var o = 'chrono';
    if ( $(this).hasClass('icon-chronodesc') )  var o = 'chrono-inv';
    if ( i > 0 )
      window.location = ( h.indexOf('&',i) > 0 ) ? h.substr(0,i+6)+o+h.substr(h.indexOf('&',i)) : h.substr(0,i+6)+o;
    else
      window.location = ( h.indexOf('?') > 0 ) ? h+'&ordre='+o : h+'?ordre='+o;
  });
});
  </script>
<?php
$mysqli->close();
fin($edition);
?>
