<?php
// Sécurité
define('OK',1);
// Configuration
include('config.php');
// Fonctions
include('fonctions.php');

//////////////////
// Autorisation //
//////////////////

// Accès aux professeurs connectés uniquement
$mysqli = connectsql();
if ( !$autorisation )  {
  $titre = 'Groupes';
  $actuel = false;
  include('login.php');
}
elseif ( $autorisation < 4 )  {
  debut($mysqli,'Groupes','Vous n\'avez pas accès à cette page.',$autorisation,' ');
  $mysqli->close();
  fin();
}

// Récupération des élèves et fabrication du formulaire de modification des utilisateurs
$resultat = $mysqli->query('SELECT id, IF(LENGTH(nom),CONCAT(nom," ",prenom),CONCAT(login," (identifiant)")) AS nom FROM utilisateurs WHERE autorisation = 2 AND LENGTH(mdp)=40 ORDER BY nom');
// Impossible d'aller plus loin si aucun élève existe
if ( !$resultat->num_rows )  {
  debut($mysqli,'Groupes','Aucun élève n\'existe dans la base de données. Vous devez commencer par renseigner leur existence, soit vous-même via la page <a href="utilisateurs">Utilisateurs</a>, soit en leur disant de demander individuellement un compte se connecter individuellement (icône de connexion puis <em>Créer un compte</em>)',4,'groupes');
  $mysqli->close();
  fin();
}
$eleves = array();
$formulaire = '';
while ( $r = $resultat->fetch_assoc() )  {
  $eleves[$r['id']] = $r['nom'];
  $formulaire .= "    <p class=\"ligne\"><label for=\"u${r['id']}\">${r['nom']}</label> <input type=\"checkbox\" name=\"u${r['id']}\"></p>\n";
}
$resultat->free();

//////////////
//// HTML ////
//////////////
debut($mysqli,'Modication des groupes d\'élèves',$message,4,'groupes');
echo <<<FIN

  <a class="icon-aide general" data-id="page" title="Aide pour les modifications des groupes"></a>
  <a class="icon-ajoute general" data-id="ajoute" title="Ajouter un groupe d'élève"></a>

FIN;
$select_mailnotes = '<option value="1">envoi de courriels</option><option value="2">notes de colles</option><option value="3">courriels et notes</option>';

// Récupération
$resultat = $mysqli->query('SELECT id, nom, mailnotes, eleves FROM groupes');
if ( $resultat->num_rows )  {
  while ( $r = $resultat->fetch_assoc() )  {
    $e =  implode(', ',array_intersect_key($eleves,array_flip(explode(',',$r['eleves']))));
    $sel_mailnotes = str_replace("\"${r['mailnotes']}\"","\"${r['mailnotes']}\" selected",$select_mailnotes);
    echo <<<FIN

  <article data-id="groupes|${r['id']}">
    <a class="icon-supprime" title="Supprimer ce groupe"></a>
    <h3 class="edition">Groupe <span class="editable" data-id="groupes|nom|${r['id']}">${r['nom']}</span></h3>
    <p class="ligne"><label for="mailnotes${r['id']}">Utilisation&nbsp;: </label>
      <select id="mailnotes${r['id']}" name="mailnotes">$sel_mailnotes</select>
    </p>
    <p class="ligne usergrp"><a class="icon-edite" data-uid="${r['eleves']}"></a><label>Élèves&nbsp;:</label> <span>$e</span></p>
  </article>

FIN;
  }
  $resultat->free();
}
else
  echo "\n  <article>\n    <h2>Aucun groupe n'est enregistré.</h2>\n  </article>\n";

// Aide et formulaire d'ajout
?>

  <div id="form-utilisateurs">
    <h3>Modifier les utilisateurs du groupe </h3>
<?php echo $formulaire; ?>
  </div>
  
  <form id="form-ajoute">
    <h3 class="edition">Ajouter un nouveau groupe</h3>
    <div>
      <input type="input" class="ligne" name="nom" value="" size="50" data-placeholder="Nom du groupe (Ex: 1, A, LV2 Espagnol...)">
      <p class="ligne"><label for="mailnotes">Utilisation&nbsp;: </label>
        <select id="mailnotes" name="mailnotes"><?php echo str_replace("\"3\"","\"3\" selected",$select_mailnotes); ?></select>
      </p>
      <p class="ligne usergrp"><a class="icon-edite" data-uid=""></a><label>Élèves&nbsp;:</label> <span>[Aucun]</span></p>
      <input type="hidden" name="eleves" value="">
      <input type="hidden" name="table" value="groupes">
    </div>
  </form>

  <div id="aide-page">
    <h3>Aide et explications</h3>
    <p>Il est possible ici d'ajouter et de modifier des groupes d'élèves. Ces groupes peuvent être utilisés à deux endroits&nbsp;:</p>
    <ul>
      <li>l'envoi de courriels, par les professeurs et colleurs</li>
      <li>la saisie de notes de colles, par les professeurs et colleurs</li>
    </ul>
    <p>Les groupes d'élèves ne se limitent pas obligatoirement qu'aux groupes de colles&nbsp;: il peut être notamment intéressant de créer les deux demi-groupes de la classe ou les groupes de LV2 par exemple, pour envoyer des courriels à la seule partie concernée de la classe.</p>
    <p>Chaque élève peut participer à plusieurs groupes. Un groupe peut contenir autant d'élèves que possible, sans limitation sur les matières associées à chaque élève.</p>
    <p>Chaque groupe existant peut être supprimé en cliquant sur le bouton <span class="icon-supprime"></span> (une confirmation sera demandée). Cela ne supprime pas les comptes des élèves du groupe.</p>
    <h4>Préférences associées à chaque groupe</h4>
    <p>Le nom du groupe est modifiable en cliquant sur le bouton <span class="icon-edite"></span> à côté. Il peut s'agir d'un simple numéro (1,2,3...) pour des groupes de colles, d'une lettre ou d'un mot pour des demi-groupes par exemple (A et B, impairs et pairs...), ou encore d'un nom plus long (&laquo;&nbsp;LV2 Espagnol&nbsp;&raquo;).</p>
    <p>Le choix de l'<em>utilisation</em> permet de spécifier si le groupe sera visible uniquement pour l'envoi des courriels, uniquement pour la saisie des notes de colles, ou dans les deux cas. La modification est enregistrée immédiatement (pas de validation nécessaire).</p>
    <p>La liste des élèves donnée est modifiable en cliquant sur le bouton <span class="icon-edite"></span> à côté. Une nouvelle fenêtre permet alors de cocher ou décocher les élèves, en cliquant sur les cases ou sur les noms des élèves. La modification est enregistrée immédiatement (pas de validation nécessaire). Un élève au minimum est obligatoire.</p>
    <h4>Ordre des groupes</h4>
    <p>Les groupes sont automatiquement classés par ordre alphanumérique.</p>
  </div>
  
  <div id="aide-ajoute">
    <h3>Aide et explications</h3>
    <p>Ce formulaire permet de créer un nouveau groupe. Il sera validé par un clic sur <span class="icon-ok"></span>, et abandonné (donc supprimé) par un clic sur <span class="icon-ferme"></span>.</p>
    <p>Les groupes d'élèves ne se limitent pas obligatoirement qu'aux groupes de colles&nbsp;: il peut être notamment intéressant de créer les deux demi-groupes de la classe ou les groupes de LV2 par exemple, pour envoyer des courriels à la seule partie concernée de la classe.</p>
    <p>Chaque élève peut participer à plusieurs groupes. Un groupe peut contenir autant d'élèves que possible, sans limitation sur les matières associées à chaque élève.</p>
    <p>Les groupes sont automatiquement classés par ordre alphanumérique.</p>
    <h4>Préférence du groupe</h4>
    <p>Le <em>nom du groupe</em> est ce qui apparaîtra derrière la mention &laquo;&nbsp;Groupe&nbsp;&raquo;. Il peut s'agir d'un simple numéro (1,2,3...) pour des groupes de colles, d'une lettre ou d'un mot pour des demi-groupes par exemple (A et B, impairs et pairs...), ou encore d'un nom plus long (&laquo;&nbsp;LV2 Espagnol&nbsp;&raquo;).</p>
    <p>Le choix de l'<em>utilisation</em> permet de spécifier si le groupe sera visible uniquement pour l'envoi des courriels, uniquement pour la saisie des notes de colles, ou dans les deux cas. La modification est enregistrée immédiatement (pas de validation nécessaire).</p>
    <p>La liste des élèves est à définir en cliquant sur le bouton <span class="icon-edite"></span> à côté. Une nouvelle fenêtre permet alors de cocher ou décocher les élèves, en cliquant sur les cases ou sur les noms des élèves. Un élève au minimum est obligatoire.</p>
  </div>
  
  <p id="log"></p>
<?php

$mysqli->close();
fin(true);
?>
